#include "board.h"
#include "clock_config.h"
#include "peripherals.h"
#include "pin_mux.h"

#include "fsl_debug_console.h"

#include "pixart_pah8001ei.h"

pah_ret_t pah8001_impl_init(void *pdev);
pah_ret_t pah8001_impl_write(void *pdev, uint8_t reg, uint8_t *value, uint16_t len);
pah_ret_t pah8001_impl_read(void *pdev, uint8_t reg, uint8_t *value, uint16_t len);

pah_t s_pah = {
    .ops = {
        .init = pah8001_impl_init,
        .write = pah8001_impl_write,
        .read = pah8001_impl_read,
    },
    .pdev = NULL,
};

int main(void) {
    BOARD_InitBootPins();
    BOARD_BootClockRUN();
    BOARD_InitBootPeripherals();

    BOARD_InitDebugConsole();

    PRINTF("Hello world!!\r\n");

    pah8001_init(&s_pah);

    for(;;) {
        __WFI();
    }
}